org.apache.ignite.internal.processors.rest.client.message

## Class GridClientNodeMetricsBean

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientNodeMetricsBean

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridClientNodeMetricsBean
    extends Object
    implements Externalizable

Node metrics bean.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientNodeMetricsBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`float` `getAverageActiveJobs()` Gets average active jobs.
`float` `getAverageCancelledJobs()` Gets average cancelled jobs.
`double` `getAverageCpuLoad()` Gets average of CPU load values over all metrics kept in the history.
`double` `getAverageJobExecuteTime()` Gets average job execution time.
`double` `getAverageJobWaitTime()` Gets average job wait time.
`float` `getAverageRejectedJobs()`
`float` `getAverageWaitingJobs()` Gets average waiting jobs.
`float` `getBusyTimePercentage()` Gets percentage of time this node is busy executing jobs vs. idling.
`int` `getCurrentActiveJobs()` Gets current active jobs.
`int` `getCurrentCancelledJobs()` Gets current cancelled jobs.
`double` `getCurrentCpuLoad()` Returns the system load average for the last minute.
`int` `getCurrentDaemonThreadCount()` Returns the current number of live daemon threads.
`double` `getCurrentGcCpuLoad()` Returns average CPU spent for CG since the last update.
`long` `getCurrentIdleTime()`
`long` `getCurrentJobExecuteTime()` Gets current job execute time.
`long` `getCurrentJobWaitTime()` Gets current job wait time.
`int` `getCurrentRejectedJobs()`
`int` `getCurrentThreadCount()` Returns the current number of live threads including both daemon and non-daemon threads.
`int` `getCurrentWaitingJobs()` Gets current waiting jobs.
`long` `getFileSystemFreeSpace()` Returns the number of unallocated bytes in the partition.
`long` `getFileSystemTotalSpace()` Returns the size of the partition.
`long` `getFileSystemUsableSpace()` Returns the number of bytes available to this virtual machine on the partition.
`long` `getHeapMemoryCommitted()` Returns the amount of heap memory in bytes that is committed for the Java virtual machine to use.
`long` `getHeapMemoryInitialized()` Returns the amount of heap memory in bytes that the Java virtual machine initially requests from the operating system for memory management.
`long` `getHeapMemoryMaximum()` Returns the maximum amount of heap memory in bytes that can be used for memory management.
`long` `getHeapMemoryUsed()` Returns the current heap size that is used for object allocation.
`float` `getIdleTimePercentage()` Gets percentage of time this node is idling vs. executing jobs.
`long` `getLastDataVersion()` In-memory data grid assigns incremental versions to all cache operations.
`long` `getLastUpdateTime()` Gets last update time.
`int` `getMaximumActiveJobs()` Gets max active jobs.
`int` `getMaximumCancelledJobs()` Gets maximum cancelled jobs.
`long` `getMaximumJobExecuteTime()` Gets maximum job execution time.
`long` `getMaximumJobWaitTime()` Gets max job wait time.
`int` `getMaximumRejectedJobs()`
`int` `getMaximumThreadCount()` Returns the maximum live thread count since the Java virtual machine started or peak was reset.
`int` `getMaximumWaitingJobs()` Gets maximum waiting jobs.
`long` `getNodeStartTime()` Returns the start time of grid node in milliseconds.
`long` `getNonHeapMemoryCommitted()` Returns the amount of non-heap memory in bytes that is committed for the Java virtual machine to use.
`long` `getNonHeapMemoryInitialized()` Returns the amount of non-heap memory in bytes that the Java virtual machine initially requests from the operating system for memory management.
`long` `getNonHeapMemoryMaximum()` Returns the maximum amount of non-heap memory in bytes that can be used for memory management.
`long` `getNonHeapMemoryUsed()` Returns the current non-heap memory size that is used by Java VM.
`long` `getReceivedBytesCount()` Gets received bytes count.
`int` `getReceivedMessagesCount()` Gets received messages count.
`long` `getSentBytesCount()` Gets sent bytes count.
`int` `getSentMessagesCount()` Gets sent messages count.
`long` `getStartTime()` Returns the start time of the Java virtual machine in milliseconds.
`long` `getTotalBusyTime()`
`int` `getTotalCancelledJobs()` Gets total cancelled jobs.
`int` `getTotalCpus()` Returns the number of CPUs available to the Java Virtual Machine.
`int` `getTotalExecutedJobs()` Gets total active jobs.
`int` `getTotalExecutedTasks()` Gets total number of tasks handled by the node.
`long` `getTotalIdleTime()`
`int` `getTotalRejectedJobs()`
`long` `getTotalStartedThreadCount()` Returns the total number of threads created and also started since the Java virtual machine started.
`long` `getUpTime()` Returns the uptime of the Java virtual machine in milliseconds.
`int` `hashCode()`
`void` `readExternal(ObjectInput in)`
`void` `setAverageActiveJobs(float avgActiveJobs)` Sets average active jobs.
`void` `setAverageCancelledJobs(float avgCancelledJobs)` Sets average cancelled jobs.
`void` `setAverageCpuLoad(double avgLoad)` Sets CPU load average over the metrics history.
`void` `setAverageJobExecuteTime(double avgJobExecTime)` Sets average job execution time.
`void` `setAverageJobWaitTime(double avgJobWaitTime)` Sets average job wait time.
`void` `setAverageRejectedJobs(float avgRejectedJobs)`
`void` `setAverageWaitingJobs(float avgWaitingJobs)` Sets average waiting jobs.
`void` `setCurrentActiveJobs(int curActiveJobs)` Sets current active jobs.
`void` `setCurrentCancelledJobs(int curCancelledJobs)` Sets current cancelled jobs.
`void` `setCurrentCpuLoad(double load)` Sets current CPU load.
`void` `setCurrentDaemonThreadCount(int daemonThreadCnt)` Sets daemon thread count.
`void` `setCurrentGcCpuLoad(double gcLoad)` Sets current GC CPU load.
`void` `setCurrentIdleTime(long curIdleTime)` Sets time elapsed since execution of last job.
`void` `setCurrentJobExecuteTime(long curJobExecTime)` Sets current job execute time.
`void` `setCurrentJobWaitTime(long curJobWaitTime)` Sets current job wait time.
`void` `setCurrentRejectedJobs(int curRejectedJobs)`
`void` `setCurrentThreadCount(int threadCnt)` Sets thread count.
`void` `setCurrentWaitingJobs(int curWaitingJobs)` Sets current waiting jobs.
`void` `setFileSystemFreeSpace(long fileSysFreeSpace)` Sets the number of unallocated bytes in the partition.
`void` `setFileSystemTotalSpace(long fileSysTotalSpace)` Sets size of the partition.
`void` `setFileSystemUsableSpace(long fileSysUsableSpace)` Sets the number of bytes available to this virtual machine on the partition.
`void` `setHeapMemoryCommitted(long heapCommitted)` Sets committed heap memory.
`void` `setHeapMemoryInitialized(long heapInit)` Sets heap initial memory.
`void` `setHeapMemoryMaximum(long heapMax)` Sets maximum possible heap memory.
`void` `setHeapMemoryUsed(long heapUsed)` Sets used heap memory.
`void` `setLastDataVersion(long lastDataVer)`
`void` `setLastUpdateTime(long lastUpdateTime)` Sets last update time.
`void` `setMaximumActiveJobs(int maxActiveJobs)` Sets max active jobs.
`void` `setMaximumCancelledJobs(int maxCancelledJobs)` Sets maximum cancelled jobs.
`void` `setMaximumJobExecuteTime(long maxJobExecTime)` Sets maximum job execution time.
`void` `setMaximumJobWaitTime(long maxJobWaitTime)` Sets max job wait time.
`void` `setMaximumRejectedJobs(int maxRejectedJobs)`
`void` `setMaximumThreadCount(int peakThreadCnt)` Sets peak thread count.
`void` `setMaximumWaitingJobs(int maxWaitingJobs)` Sets maximum waiting jobs.
`void` `setNodeStartTime(long nodeStartTime)` Sets node start time.
`void` `setNonHeapMemoryCommitted(long nonHeapCommitted)` Sets committed non-heap memory.
`void` `setNonHeapMemoryInitialized(long nonHeapInit)` Sets initial non-heap memory.
`void` `setNonHeapMemoryMaximum(long nonHeapMax)` Sets maximum possible non-heap memory.
`void` `setNonHeapMemoryUsed(long nonHeapUsed)` Sets used non-heap memory.
`void` `setReceivedBytesCount(long rcvdBytesCnt)` Sets received bytes count.
`void` `setReceivedMessagesCount(int rcvdMsgsCnt)` Sets received messages count.
`void` `setSentBytesCount(long sentBytesCnt)` Sets sent bytes count.
`void` `setSentMessagesCount(int sentMsgsCnt)` Sets sent messages count.
`void` `setStartTime(long startTime)` Sets VM start time.
`void` `setTotalCancelledJobs(int totalCancelledJobs)` Sets total cancelled jobs.
`void` `setTotalCpus(int availProcs)` Sets available processors.
`void` `setTotalExecutedJobs(int totalExecutedJobs)` Sets total active jobs.
`void` `setTotalExecutedTasks(int totalExecTasks)` Sets total number of tasks handled by the node.
`void` `setTotalIdleTime(long totalIdleTime)` Set total node idle time.
`void` `setTotalRejectedJobs(int totalRejectedJobs)`
`void` `setTotalStartedThreadCount(long startedThreadCnt)` Sets started thread count.
`void` `setUpTime(long upTime)` Sets VM up time.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientNodeMetricsBean

    public GridClientNodeMetricsBean()

### Method Detail

#### getLastUpdateTime

    public long getLastUpdateTime()

Gets last update time.

Returns:
  Last update time.

#### setLastUpdateTime

    public void setLastUpdateTime(long lastUpdateTime)

Sets last update time.

Parameters:
  `lastUpdateTime` - Last update time.

#### getMaximumActiveJobs

    public int getMaximumActiveJobs()

Gets max active jobs.

Returns:
  Max active jobs.

#### setMaximumActiveJobs

    public void setMaximumActiveJobs(int maxActiveJobs)

Sets max active jobs.

Parameters:
  `maxActiveJobs` - Max active jobs.

#### getCurrentActiveJobs

    public int getCurrentActiveJobs()

Gets current active jobs.

Returns:
  Current active jobs.

#### setCurrentActiveJobs

    public void setCurrentActiveJobs(int curActiveJobs)

Sets current active jobs.

Parameters:
  `curActiveJobs` - Current active jobs.

#### getAverageActiveJobs

    public float getAverageActiveJobs()

Gets average active jobs.

Returns:
  Average active jobs.

#### setAverageActiveJobs

    public void setAverageActiveJobs(float avgActiveJobs)

Sets average active jobs.

Parameters:
  `avgActiveJobs` - Average active jobs.

#### getMaximumWaitingJobs

    public int getMaximumWaitingJobs()

Gets maximum waiting jobs.

Returns:
  Maximum active jobs.

#### setMaximumWaitingJobs

    public void setMaximumWaitingJobs(int maxWaitingJobs)

Sets maximum waiting jobs.

Parameters:
  `maxWaitingJobs` - Maximum waiting jobs.

#### getCurrentWaitingJobs

    public int getCurrentWaitingJobs()

Gets current waiting jobs.

Returns:
  Current waiting jobs.

#### setCurrentWaitingJobs

    public void setCurrentWaitingJobs(int curWaitingJobs)

Sets current waiting jobs.

Parameters:
  `curWaitingJobs` - Current waiting jobs.

#### getAverageWaitingJobs

    public float getAverageWaitingJobs()

Gets average waiting jobs.

Returns:
  Average waiting jobs.

#### setAverageWaitingJobs

    public void setAverageWaitingJobs(float avgWaitingJobs)

Sets average waiting jobs.

Parameters:
  `avgWaitingJobs` - Average waiting jobs.

#### getMaximumRejectedJobs

    public int getMaximumRejectedJobs()

Returns:
  Maximum number of jobs rejected during a single collision resolution event.

#### setMaximumRejectedJobs

    public void setMaximumRejectedJobs(int maxRejectedJobs)

Parameters:
  `maxRejectedJobs` - Maximum number of jobs rejected during a single collision resolution event.

#### getCurrentRejectedJobs

    public int getCurrentRejectedJobs()

Returns:
  Number of jobs rejected during most recent collision resolution.

#### setCurrentRejectedJobs

    public void setCurrentRejectedJobs(int curRejectedJobs)

Parameters:
  `curRejectedJobs` - Number of jobs rejected during most recent collision resolution.

#### getAverageRejectedJobs

    public float getAverageRejectedJobs()

Returns:
  Average number of jobs this node rejects.

#### setAverageRejectedJobs

    public void setAverageRejectedJobs(float avgRejectedJobs)

Parameters:
  `avgRejectedJobs` - Average number of jobs this node rejects.

#### getTotalRejectedJobs

    public int getTotalRejectedJobs()

Returns:
  Total number of jobs this node ever rejected.

#### setTotalRejectedJobs

    public void setTotalRejectedJobs(int totalRejectedJobs)

Parameters:
  `totalRejectedJobs` - Total number of jobs this node ever rejected.

#### getMaximumCancelledJobs

    public int getMaximumCancelledJobs()

Gets maximum cancelled jobs.

Returns:
  Maximum cancelled jobs.

#### setMaximumCancelledJobs

    public void setMaximumCancelledJobs(int maxCancelledJobs)

Sets maximum cancelled jobs.

Parameters:
  `maxCancelledJobs` - Maximum cancelled jobs.

#### getCurrentCancelledJobs

    public int getCurrentCancelledJobs()

Gets current cancelled jobs.

Returns:
  Current cancelled jobs.

#### setCurrentCancelledJobs

    public void setCurrentCancelledJobs(int curCancelledJobs)

Sets current cancelled jobs.

Parameters:
  `curCancelledJobs` - Current cancelled jobs.

#### getAverageCancelledJobs

    public float getAverageCancelledJobs()

Gets average cancelled jobs.

Returns:
  Average cancelled jobs.

#### setAverageCancelledJobs

    public void setAverageCancelledJobs(float avgCancelledJobs)

Sets average cancelled jobs.

Parameters:
  `avgCancelledJobs` - Average cancelled jobs.

#### getTotalExecutedJobs

    public int getTotalExecutedJobs()

Gets total active jobs.

Returns:
  Total active jobs.

#### setTotalExecutedJobs

    public void setTotalExecutedJobs(int totalExecutedJobs)

Sets total active jobs.

Parameters:
  `totalExecutedJobs` - Total active jobs.

#### getTotalCancelledJobs

    public int getTotalCancelledJobs()

Gets total cancelled jobs.

Returns:
  Total cancelled jobs.

#### setTotalCancelledJobs

    public void setTotalCancelledJobs(int totalCancelledJobs)

Sets total cancelled jobs.

Parameters:
  `totalCancelledJobs` - Total cancelled jobs.

#### getMaximumJobWaitTime

    public long getMaximumJobWaitTime()

Gets max job wait time.

Returns:
  Max job wait time.

#### setMaximumJobWaitTime

    public void setMaximumJobWaitTime(long maxJobWaitTime)

Sets max job wait time.

Parameters:
  `maxJobWaitTime` - Max job wait time.

#### getCurrentJobWaitTime

    public long getCurrentJobWaitTime()

Gets current job wait time.

Returns:
  Current job wait time.

#### setCurrentJobWaitTime

    public void setCurrentJobWaitTime(long curJobWaitTime)

Sets current job wait time.

Parameters:
  `curJobWaitTime` - Current job wait time.

#### getAverageJobWaitTime

    public double getAverageJobWaitTime()

Gets average job wait time.

Returns:
  Average job wait time.

#### setAverageJobWaitTime

    public void setAverageJobWaitTime(double avgJobWaitTime)

Sets average job wait time.

Parameters:
  `avgJobWaitTime` - Average job wait time.

#### getMaximumJobExecuteTime

    public long getMaximumJobExecuteTime()

Gets maximum job execution time.

Returns:
  Maximum job execution time.

#### setMaximumJobExecuteTime

    public void setMaximumJobExecuteTime(long maxJobExecTime)

Sets maximum job execution time.

Parameters:
  `maxJobExecTime` - Maximum job execution time.

#### getCurrentJobExecuteTime

    public long getCurrentJobExecuteTime()

Gets current job execute time.

Returns:
  Current job execute time.

#### setCurrentJobExecuteTime

    public void setCurrentJobExecuteTime(long curJobExecTime)

Sets current job execute time.

Parameters:
  `curJobExecTime` - Current job execute time.

#### getAverageJobExecuteTime

    public double getAverageJobExecuteTime()

Gets average job execution time.

Returns:
  Average job execution time.

#### setAverageJobExecuteTime

    public void setAverageJobExecuteTime(double avgJobExecTime)

Sets average job execution time.

Parameters:
  `avgJobExecTime` - Average job execution time.

#### getTotalExecutedTasks

    public int getTotalExecutedTasks()

Gets total number of tasks handled by the node.

Returns:
  Total number of tasks handled by the node.

#### setTotalExecutedTasks

    public void setTotalExecutedTasks(int totalExecTasks)

Sets total number of tasks handled by the node.

Parameters:
  `totalExecTasks` - Total number of tasks handled by the node.

#### getTotalBusyTime

    public long getTotalBusyTime()

Returns:
  Total busy time.

#### getTotalIdleTime

    public long getTotalIdleTime()

Returns:
  Total idle time.

#### setTotalIdleTime

    public void setTotalIdleTime(long totalIdleTime)

Set total node idle time.

Parameters:
  `totalIdleTime` - Total node idle time.

#### getCurrentIdleTime

    public long getCurrentIdleTime()

Returns:
  Current idle time.

#### setCurrentIdleTime

    public void setCurrentIdleTime(long curIdleTime)

Sets time elapsed since execution of last job.

Parameters:
  `curIdleTime` - Time elapsed since execution of last job.

#### getBusyTimePercentage

    public float getBusyTimePercentage()

Gets percentage of time this node is busy executing jobs vs. idling.

Returns:
  Percentage of time this node is busy (value is less than or equal to `1` and greater than or equal to `0`)

#### getIdleTimePercentage

    public float getIdleTimePercentage()

Gets percentage of time this node is idling vs. executing jobs.

Returns:
  Percentage of time this node is idle (value is less than or equal to `1` and greater than or equal to `0`)

#### getTotalCpus

    public int getTotalCpus()

Returns the number of CPUs available to the Java Virtual Machine. This method is equivalent to the `Runtime.availableProcessors()` method.

Note that this value may change during successive invocations of the virtual machine.

Returns:
  The number of processors available to the virtual machine, never smaller than one.

#### getCurrentCpuLoad

    public double getCurrentCpuLoad()

Returns the system load average for the last minute. The system load average is the sum of the number of runnable entities queued to the available processors and the number of runnable entities running on the available processors averaged over a period of time. The way in which the load average is calculated is operating system specific but is typically a damped time-dependent average.

If the load average is not available, a negative value is returned.

This method is designed to provide a hint about the system load and may be queried frequently. The load average may be unavailable on some platform where it is expensive to implement this method.

Returns:
  The system load average in `[0, 1]` range. Negative value if not available.

#### getAverageCpuLoad

    public double getAverageCpuLoad()

Gets average of CPU load values over all metrics kept in the history.

Returns:
  Average of CPU load value in `[0, 1]` range over all metrics kept in the history.

#### getCurrentGcCpuLoad

    public double getCurrentGcCpuLoad()

Returns average CPU spent for CG since the last update.

Returns:
  Average CPU spent for CG since the last update.

#### getHeapMemoryInitialized

    public long getHeapMemoryInitialized()

Returns the amount of heap memory in bytes that the Java virtual machine initially requests from the operating system for memory management. This method returns `-1` if the initial memory size is undefined.

Returns:
  The initial size of memory in bytes; `-1` if undefined.

#### getHeapMemoryUsed

    public long getHeapMemoryUsed()

Returns the current heap size that is used for object allocation. The heap consists of one or more memory pools. This value is the sum of `used` heap memory values of all heap memory pools.

The amount of used memory in the returned is the amount of memory occupied by both live objects and garbage objects that have not been collected, if any.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  Amount of heap memory used.

#### getHeapMemoryCommitted

    public long getHeapMemoryCommitted()

Returns the amount of heap memory in bytes that is committed for the Java virtual machine to use. This amount of memory is guaranteed for the Java virtual machine to use. The heap consists of one or more memory pools. This value is the sum of `committed` heap memory values of all heap memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The amount of committed memory in bytes.

#### getHeapMemoryMaximum

    public long getHeapMemoryMaximum()

Returns the maximum amount of heap memory in bytes that can be used for memory management. This method returns `-1` if the maximum memory size is undefined.

This amount of memory is not guaranteed to be available for memory management if it is greater than the amount of committed memory. The Java virtual machine may fail to allocate memory even if the amount of used memory does not exceed this maximum size.

This value represents a setting of the heap memory for Java VM and is not a sum of all initial heap values for all memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The maximum amount of memory in bytes; `-1` if undefined.

#### getNonHeapMemoryInitialized

    public long getNonHeapMemoryInitialized()

Returns the amount of non-heap memory in bytes that the Java virtual machine initially requests from the operating system for memory management. This method returns `-1` if the initial memory size is undefined.

This value represents a setting of non-heap memory for Java VM and is not a sum of all initial heap values for all memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The initial size of memory in bytes; `-1` if undefined.

#### getNonHeapMemoryUsed

    public long getNonHeapMemoryUsed()

Returns the current non-heap memory size that is used by Java VM. The non-heap memory consists of one or more memory pools. This value is the sum of `used` non-heap memory values of all non-heap memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  Amount of none-heap memory used.

#### getNonHeapMemoryCommitted

    public long getNonHeapMemoryCommitted()

Returns the amount of non-heap memory in bytes that is committed for the Java virtual machine to use. This amount of memory is guaranteed for the Java virtual machine to use. The non-heap memory consists of one or more memory pools. This value is the sum of `committed` non-heap memory values of all non-heap memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The amount of committed memory in bytes.

#### getNonHeapMemoryMaximum

    public long getNonHeapMemoryMaximum()

Returns the maximum amount of non-heap memory in bytes that can be used for memory management. This method returns `-1` if the maximum memory size is undefined.

This amount of memory is not guaranteed to be available for memory management if it is greater than the amount of committed memory. The Java virtual machine may fail to allocate memory even if the amount of used memory does not exceed this maximum size.

This value represents a setting of the non-heap memory for Java VM and is not a sum of all initial non-heap values for all memory pools.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The maximum amount of memory in bytes; `-1` if undefined.

#### getUpTime

    public long getUpTime()

Returns the uptime of the Java virtual machine in milliseconds.

Returns:
  Uptime of the Java virtual machine in milliseconds.

#### getStartTime

    public long getStartTime()

Returns the start time of the Java virtual machine in milliseconds. This method returns the approximate time when the Java virtual machine started.

Returns:
  Start time of the Java virtual machine in milliseconds.

#### getNodeStartTime

    public long getNodeStartTime()

Returns the start time of grid node in milliseconds. There can be several grid nodes started in one JVM, so JVM start time will be the same for all of them, but node start time will be different.

Returns:
  Start time of the grid node in milliseconds.

#### getCurrentThreadCount

    public int getCurrentThreadCount()

Returns the current number of live threads including both daemon and non-daemon threads.

Returns:
  Current number of live threads.

#### getMaximumThreadCount

    public int getMaximumThreadCount()

Returns the maximum live thread count since the Java virtual machine started or peak was reset.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The peak live thread count.

#### getTotalStartedThreadCount

    public long getTotalStartedThreadCount()

Returns the total number of threads created and also started since the Java virtual machine started.

Note: this is not an aggregated metric and it's calculated from the time of the node's startup.

Returns:
  The total number of threads started.

#### getCurrentDaemonThreadCount

    public int getCurrentDaemonThreadCount()

Returns the current number of live daemon threads.

Returns:
  Current number of live daemon threads.

#### getFileSystemFreeSpace

    public long getFileSystemFreeSpace()

Returns the number of unallocated bytes in the partition.

Returns:
  Number of unallocated bytes in the partition.

#### getFileSystemTotalSpace

    public long getFileSystemTotalSpace()

Returns the size of the partition.

Returns:
  Size of the partition.

#### getFileSystemUsableSpace

    public long getFileSystemUsableSpace()

Returns the number of bytes available to this virtual machine on the partition.

Returns:
  Number of bytes available to this virtual machine on the partition.

#### getLastDataVersion

    public long getLastDataVersion()

In-memory data grid assigns incremental versions to all cache operations. This method provides the latest data version on the node.

Returns:
  Last data version.

#### setTotalCpus

    public void setTotalCpus(int availProcs)

Sets available processors.

Parameters:
  `availProcs` - Available processors.

#### setCurrentCpuLoad

    public void setCurrentCpuLoad(double load)

Sets current CPU load.

Parameters:
  `load` - Current CPU load.

#### setAverageCpuLoad

    public void setAverageCpuLoad(double avgLoad)

Sets CPU load average over the metrics history.

Parameters:
  `avgLoad` - CPU load average.

#### setCurrentGcCpuLoad

    public void setCurrentGcCpuLoad(double gcLoad)

Sets current GC CPU load.

Parameters:
  `gcLoad` - Current GC load.

#### setHeapMemoryInitialized

    public void setHeapMemoryInitialized(long heapInit)

Sets heap initial memory.

Parameters:
  `heapInit` - Heap initial memory.

#### setHeapMemoryUsed

    public void setHeapMemoryUsed(long heapUsed)

Sets used heap memory.

Parameters:
  `heapUsed` - Used heap memory.

#### setHeapMemoryCommitted

    public void setHeapMemoryCommitted(long heapCommitted)

Sets committed heap memory.

Parameters:
  `heapCommitted` - Committed heap memory.

#### setHeapMemoryMaximum

    public void setHeapMemoryMaximum(long heapMax)

Sets maximum possible heap memory.

Parameters:
  `heapMax` - Maximum possible heap memory.

#### setNonHeapMemoryInitialized

    public void setNonHeapMemoryInitialized(long nonHeapInit)

Sets initial non-heap memory.

Parameters:
  `nonHeapInit` - Initial non-heap memory.

#### setNonHeapMemoryUsed

    public void setNonHeapMemoryUsed(long nonHeapUsed)

Sets used non-heap memory.

Parameters:
  `nonHeapUsed` - Used non-heap memory.

#### setNonHeapMemoryCommitted

    public void setNonHeapMemoryCommitted(long nonHeapCommitted)

Sets committed non-heap memory.

Parameters:
  `nonHeapCommitted` - Committed non-heap memory.

#### setNonHeapMemoryMaximum

    public void setNonHeapMemoryMaximum(long nonHeapMax)

Sets maximum possible non-heap memory.

Parameters:
  `nonHeapMax` - Maximum possible non-heap memory.

#### setUpTime

    public void setUpTime(long upTime)

Sets VM up time.

Parameters:
  `upTime` - VN up time.

#### setStartTime

    public void setStartTime(long startTime)

Sets VM start time.

Parameters:
  `startTime` - VM start time.

#### setNodeStartTime

    public void setNodeStartTime(long nodeStartTime)

Sets node start time.

Parameters:
  `nodeStartTime` - node start time.

#### setCurrentThreadCount

    public void setCurrentThreadCount(int threadCnt)

Sets thread count.

Parameters:
  `threadCnt` - Thread count.

#### setMaximumThreadCount

    public void setMaximumThreadCount(int peakThreadCnt)

Sets peak thread count.

Parameters:
  `peakThreadCnt` - Peak thread count.

#### setTotalStartedThreadCount

    public void setTotalStartedThreadCount(long startedThreadCnt)

Sets started thread count.

Parameters:
  `startedThreadCnt` - Started thread count.

#### setCurrentDaemonThreadCount

    public void setCurrentDaemonThreadCount(int daemonThreadCnt)

Sets daemon thread count.

Parameters:
  `daemonThreadCnt` - Daemon thread count.

#### setFileSystemFreeSpace

    public void setFileSystemFreeSpace(long fileSysFreeSpace)

Sets the number of unallocated bytes in the partition.

Parameters:
  `fileSysFreeSpace` - The number of unallocated bytes in the partition.

#### setFileSystemTotalSpace

    public void setFileSystemTotalSpace(long fileSysTotalSpace)

Sets size of the partition.

Parameters:
  `fileSysTotalSpace` - Size of the partition.

#### setFileSystemUsableSpace

    public void setFileSystemUsableSpace(long fileSysUsableSpace)

Sets the number of bytes available to this virtual machine on the partition.

Parameters:
  `fileSysUsableSpace` - The number of bytes available to this virtual machine on the partition.

#### setLastDataVersion

    public void setLastDataVersion(long lastDataVer)

Parameters:
  `lastDataVer` - Last data version.

#### getSentMessagesCount

    public int getSentMessagesCount()

Gets sent messages count.

Returns:
  Sent messages count.

#### setSentMessagesCount

    public void setSentMessagesCount(int sentMsgsCnt)

Sets sent messages count.

Parameters:
  `sentMsgsCnt` - Sent messages count.

#### getSentBytesCount

    public long getSentBytesCount()

Gets sent bytes count.

Returns:
  Sent bytes count.

#### setSentBytesCount

    public void setSentBytesCount(long sentBytesCnt)

Sets sent bytes count.

Parameters:
  `sentBytesCnt` - Sent bytes count.

#### getReceivedMessagesCount

    public int getReceivedMessagesCount()

Gets received messages count.

Returns:
  Received messages count.

#### setReceivedMessagesCount

    public void setReceivedMessagesCount(int rcvdMsgsCnt)

Sets received messages count.

Parameters:
  `rcvdMsgsCnt` - Received messages count.

#### getReceivedBytesCount

    public long getReceivedBytesCount()

Gets received bytes count.

Returns:
  Received bytes count.

#### setReceivedBytesCount

    public void setReceivedBytesCount(long rcvdBytesCnt)

Sets received bytes count.

Parameters:
  `rcvdBytesCnt` - Received bytes count.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018